[BACK]Return to patch-third__party_googletest_googlemock_configure CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / devel / py-protobuf / patches

File: [cvs.NetBSD.org] / pkgsrc / devel / py-protobuf / patches / Attic / patch-third__party_googletest_googlemock_configure (download)

Revision 1.1, Tue Jan 8 05:56:19 2019 UTC (20 months, 1 week ago) by markd
Branch: MAIN

{py-,}protobuf: don't share the patches directory
some patches only apply to py-protobuf.

$NetBSD: patch-third__party_googletest_googlemock_configure,v 1.1 2019/01/08 05:56:19 markd Exp $

Fix shell portability issues.

--- third_party/googletest/googlemock/configure.orig	2018-07-31 00:19:25.000000000 +0000
+++ third_party/googletest/googlemock/configure
@@ -16355,7 +16355,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
        have_pthreads="$acx_pthread_ok"
 fi
- if test "x$have_pthreads" == "xyes"; then
+ if test "x$have_pthreads" = "xyes"; then
   HAVE_PTHREADS_TRUE=
   HAVE_PTHREADS_FALSE='#'
 else
@@ -16385,7 +16385,7 @@ else
   enable_external_gtest=yes
 fi
 
-if test "x$with_gtest" == "xno"; then :
+if test "x$with_gtest" = "xno"; then :
   as_fn_error $? "Support for GoogleTest was explicitly disabled. Currently GoogleMock has a hard
 dependency upon GoogleTest to build, please provide a version, or allow
 GoogleMock to use any installed version and fall back upon its internal